Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1061593 - Add iproute command support to control VF link state
Summary: Add iproute command support to control VF link state
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: iproute
Version: 7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Petr Šabata
QA Contact: David Spurek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-05 07:25 UTC by be2net-dev
Modified: 2015-03-02 05:28 UTC (History)
4 users (show)

Fixed In Version: iproute-3.10.0-13.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-13 09:57:19 UTC


Attachments (Terms of Use)

Description be2net-dev 2014-02-05 07:25:01 UTC
Description of problem:

"ip link set" command to control the link state of VF is not there in RHEL7 (verified on RHEL7 snap4). 

<command>
ip link set <DEVICE> vf <NUM> state { auto | enable | disable }
auto – VF link state will reflect the PF link state
enable – VF link state will be always up
disable – VF link state will be always down
</>

This command is available from iproute2 utility version 3.11.0. 
"07fa9c15" is the git commit id. 

Additional info:
commit 07fa9c1529871b61879e11a7c9eccbf357982591
Author: Rony Efraim <ronye@mellanox.com>
Date:   Thu Jun 13 13:19:12 2013 +0300

    Add VF link state control

    Add link state per VF command

    Signed-off-by: Rony Efraim <ronye@mellanox.com>
    Signed-off-by: Or Gerlitz <ogerlitz@mellanox.com>

Please add it.

Comment 2 Petr Šabata 2014-02-21 12:13:04 UTC
Already present in kernel.

Comment 5 Petr Šabata 2014-02-25 18:28:02 UTC
Pushed in iproute-3.10.0-13.el7

Comment 7 Petr Pisar 2014-02-26 07:25:43 UTC
The patch adds "ip link set vf ... state", but ip-link(8) manual page does not document it. The update should document the option.

Comment 11 Ludek Smid 2014-06-13 09:57:19 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.